FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 05-12-2008, 01:54 PM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Martin Michlmayr schrieb:
> Can you show me the output of
> ls -l /boot

Are you suspecting the initrd size?
My /etc/initramfs-tools/initramfs.conf says "MODULES=most", btw.

ls -l /boot

-rw-r--r-- 1 root root 748537 Apr 21 22:05 System.map-2.6.24-1-ixp4xx
-rw-r--r-- 1 root root 762523 Apr 30 10:51 System.map-2.6.25-1-ixp4xx
-rw-r--r-- 1 root root 43084 May 27 2007 apex.flash
-rw-r--r-- 1 root root 56582 Apr 20 13:41 config-2.6.24-1-ixp4xx
-rw-r--r-- 1 root root 59504 Apr 28 17:06 config-2.6.25-1-ixp4xx
lrwxrwxrwx 1 root root 26 May 12 13:09 initrd.img -> initrd.img-2.6.25-1-ixp4xx
-rw-r--r-- 1 root root 4149652 Apr 30 01:02 initrd.img-2.6.24-1-ixp4xx
-rw-r--r-- 1 root root 4355143 May 12 13:09 initrd.img-2.6.25-1-ixp4xx
lrwxrwxrwx 1 root root 26 Apr 29 23:46 initrd.img.old -> initrd.img-2.6.24-1-ixp4xx
lrwxrwxrwx 1 root root 23 May 12 13:09 vmlinuz -> vmlinuz-2.6.25-1-ixp4xx
-rw-r--r-- 1 root root 1339880 Apr 21 22:05 vmlinuz-2.6.24-1-ixp4xx
-rw-r--r-- 1 root root 1364620 Apr 30 10:51 vmlinuz-2.6.25-1-ixp4xx
lrwxrwxrwx 1 root root 23 Feb 3 23:01 vmlinuz.old -> vmlinuz-2.6.24-1-ixp4xx


--
http://www.kevin-price.de/
 
Old 05-12-2008, 02:33 PM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Hi again! Problem spotted.

Kevin Price schrieb:
> Are you suspecting the initrd size?
> My /etc/initramfs-tools/initramfs.conf says "MODULES=most", btw.

That was the cause. Chaning modules to "dep" created an initrd.img with
a size of 2176130, which is less than half the size of

> -rw-r--r-- 1 root root 4355143 May 12 13:09 initrd.img-2.6.25-1-ixp4xx

With that, my slug boots fine. I thought, flash-kernel is supposed to
complain about such problems. I used the current lenny version.

ii flash-kernel 1.7 utility to write kernel and initramfs

I suggest moving this bug to package flash-kernel. Any objections?

cheers
Kevin
--
http://www.kevin-price.de/
 
Old 05-12-2008, 02:52 PM
Martin Michlmayr
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

* Kevin Price <kp@kevin-price.de> [2008-05-12 15:54]:
> Are you suspecting the initrd size?

Yes, while the NSLU2 has 6 MB for the ramdisk, APEX passes a parameter
to the kernel saying the ramdisk is 4 MB, so everything after 4 MB is
ignored. Your ramdisk is larger than 4 MB, which explains why the
kernel is complaing that the ramdisk is not complete.

The reason this shows up on armel and not on arm is that some SCSI
drivers are disabled on arm but not on armel (for historical reasons).

The short term solution is to disable some more drivers. I've done
that for 2.6.26-rc1 and will do it for the next 2.6.25 upload too.

The right solution is to fix APEX. A bug about this has been open for
quite a while: #451882

Kevin, since you have a serial console, are you interested in testing
the patches in #451882 and #421359?

debian-arm people in general: anyone with a armel compiler who's
interested in compiling and testing 2.6.26-rc1 on armel?

--
Martin Michlmayr
http://www.cyrius.com/



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-12-2008, 02:57 PM
Martin Michlmayr
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

* Kevin Price <kp@kevin-price.de> [2008-05-12 16:33]:
> ii flash-kernel 1.7 utility to write kernel and initramfs
>
> I suggest moving this bug to package flash-kernel. Any objections?

flash-kernel does the right thing, apex-nslu2 doesn't.

Anyway, let's leave this bug open on the kernel because this can be
work arouned by disabling some modules.
--
Martin Michlmayr
http://www.cyrius.com/



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-12-2008, 03:43 PM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Martin Michlmayr schrieb:
> Kevin, since you have a serial console, are you interested in testing
> the patches in #451882 and #421359?

Yes. My slug is now compiling apex-1.4.15 with the patch from #451882
(CONFIG_RAMDISK_SIZE=0x005FFFF0) I am curious if this solves this bug
and I will let you know.

BTW: What is keeping the patches from moving into sid? I'd love to see a
more current apex version in lenny.

> debian-arm people in general: anyone with a armel compiler who's
> interested in compiling and testing 2.6.26-rc1 on armel?

Would that need to be a native or cross-compiler or is the qemu arm
emulation reliable enough for such compilation jobs? Somehow I recall
that the emulation was said to be unsuitable to be employed as buildds.

Kevin
--
http://www.kevin-price.de/
 
Old 05-12-2008, 03:48 PM
Martin Michlmayr
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

* Kevin Price <kp@kevin-price.de> [2008-05-12 17:43]:
> > Kevin, since you have a serial console, are you interested in testing
> > the patches in #451882 and #421359?
>
> Yes. My slug is now compiling apex-1.4.15 with the patch from #451882
> (CONFIG_RAMDISK_SIZE=0x005FFFF0) I am curious if this solves this bug
> and I will let you know.

You'll also need the patch from #421359, otherwise the new APEX is not
written to flash.

> BTW: What is keeping the patches from moving into sid? I'd love to
> see a more current apex version in lenny.

The major issue is that the APEX maintainer doesn't respond to these
bugs. Another minor issue is that it would be nice to get more
feedback on the patch in #421359.

> > debian-arm people in general: anyone with a armel compiler who's
> > interested in compiling and testing 2.6.26-rc1 on armel?
> Would that need to be a native or cross-compiler or is the qemu arm

cross-compile would be fine. I just don't have a cross-compiler for
armel. Native or qemu would work too, but are slower.
--
Martin Michlmayr
http://www.cyrius.com/



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-12-2008, 04:36 PM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Martin Michlmayr schrieb:
> You'll also need the patch from #421359, otherwise the new APEX is not
> written to flash.

Yeah. I was thinking from a more low-level point of view and flashed the
apex binary myself with the script. The result is good: The large initrd
(modules=all) boots fine with that.

That was because I dislike the idea about the imaginary version 1.5.14.
Is it more appropriate to name it something like 1.5.13+gf1 ? I'll give
it a try.

> bugs. Another minor issue is that it would be nice to get more
> feedback on the patch in #421359.

I hope I can help that a little.

> cross-compile would be fine. I just don't have a cross-compiler for
> armel. Native or qemu would work too, but are slower.

OK. Is the rc1 already debianized anywhere? Otherwise we might as well
go for rc2.

Kevin
--
http://www.kevin-price.de/
 
Old 05-12-2008, 05:13 PM
Martin Michlmayr
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

* Kevin Price <kp@kevin-price.de> [2008-05-12 18:36]:
> That was because I dislike the idea about the imaginary version
> 1.5.14. Is it more appropriate to name it something like 1.5.13+gf1
> ? I'll give it a try.

I suggest you use 1.5.14~test1; the ~ means that 1.5.14~xxx is smaller
than 1.5.14, so you can upgrade to 1.5.14 when it comes out.

> OK. Is the rc1 already debianized anywhere?

Yes, svn://svn.debian.org/svn/kernel/dists/trunk/linux-2.6/debian for
the "debian" dir and the orig tar ball can be found at
http://photon.itp.tuwien.ac.at/~mattems/

But never mind, I actually started a build of 2.6.26-rc1 on a
.debian.org armel box already. And I'm currently installing armel on
my NSLU2, so hopefully we can avoid more armel problems in the future.
(But we definitely need you guys to continue testing Debian on armel
for NSLU2; I don't test the NSLU2 as much as some other machines these
days.)
--
Martin Michlmayr
http://www.cyrius.com/



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 05-14-2008, 11:03 PM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Martin Michlmayr schrieb:
> The 2.6.26-rc2 test image is available from http://people.debian.org/~tbm/armel/kernel/r11383/
> The fixed 2.6.25 package will be uploaded in the near future.

At least the 2.6.26-rc2 makes my slug unbootable. Again, I need some
time to hook the serial console up to figure out why. (Wish I had a
USB/RS232 adaptor around) I'll let you know as soon as I can.

Kevin
 
Old 05-16-2008, 12:25 AM
Kevin Price
 
Default Bug#480310: armel NSLU2 fails to boot with 2.6.25

Kevin Price schrieb:
> Martin Michlmayr schrieb:
>> The 2.6.26-rc2 test image is available from http://people.debian.org/~tbm/armel/kernel/r11383/
>> The fixed 2.6.25 package will be uploaded in the near future.
>
> At least the 2.6.26-rc2 makes my slug unbootable. Again, I need some
> time to hook the serial console up to figure out why. (Wish I had a
> USB/RS232 adaptor around) I'll let you know as soon as I can.

Your 2.6.26-rc2 works. The reason it didn't boot seems to have been a
wrong combination of apex / initramfs-configuration, my fault. It's OK.

(Thanks for|Keep up) the great work.

Kevin
 

Thread Tools




All times are GMT. The time now is 07:02 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org